package com.ejweb.modules.upload.entity;

import com.ejweb.core.base.BaseEntity;

/**
 * 
 * 上传文件返回实体
 * @team IT Team
 * @author  renmb
 * @version 1.0
 * @time 2016-03-22
 *
 */
public class UploadEntity extends BaseEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 8395156713205116362L;
    private String fileId;
    private String appCode;
    private String sessionId;
    private String clientip;
    private String name;
    private String inputName;
    private String module;
    private String extesion;
    private String path;
    private String thumbs;
    private String md5;
    private int    size;
    private String summary;
    private int    width;
    private int    height;
    private String orientation;

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getSessionId() {
        return sessionId;
    }
    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }
    public String getClientip() {
        return clientip;
    }
    public void setClientip(String clientip) {
        this.clientip = clientip;
    }
    public String getSummary() {
        return summary;
    }
    public void setSummary(String summary) {
        this.summary = summary;
    }
    public int getWidth() {
        return width;
    }
    public void setWidth(int width) {
        this.width = width;
    }
    public int getHeight() {
        return height;
    }
    public void setHeight(int height) {
        this.height = height;
    }
    public String getAppCode() {
        return appCode;
    }
    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }
    public String getThumbs() {
        return thumbs;
    }
    public void setThumbs(String thumbs) {
        this.thumbs = thumbs;
    }
    public String getPath() {
        return path;
    }
    public void setPath(String path) {
        this.path = path;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getInputName() {
        return inputName;
    }
    public void setInputName(String inputName) {
        this.inputName = inputName;
    }
    public String getModule() {
        return module;
    }
    public void setModule(String module) {
        this.module = module;
    }
    public String getExtesion() {
        return extesion;
    }
    public void setExtesion(String extesion) {
        this.extesion = extesion;
    }
    public String getMd5() {
        return md5;
    }
    public void setMd5(String md5) {
        this.md5 = md5;
    }
    public int getSize() {
        return size;
    }
    public void setSize(int size) {
        this.size = size;
    }

    public String getOrientation() {
        return orientation;
    }

    public void setOrientation(String orientation) {
        this.orientation = orientation;
    }
}
